TestStackTraceFilter (Gradle API 8.14)
Description: declaration: package: org.gradle.api.tasks.testing.logging, enum: TestStackTraceFilter

Package org.gradle.api.tasks.testing.logging

# Enum TestStackTraceFilter

java.lang.Object
java.lang.Enum<TestStackTraceFilter>
org.gradle.api.tasks.testing.logging.TestStackTraceFilter

All Implemented Interfaces:
  `Serializable`, `Comparable<TestStackTraceFilter>`, `java.lang.constant.Constable`

public enum TestStackTraceFilter extends Enum<TestStackTraceFilter>
Stack trace filters for test logging. Multiple filters can be combined.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENTRY_POINT`
  `GROOVY`
  `TRUNCATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TestStackTraceFilter`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TestStackTraceFilter[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENTRY_POINT

    public static final TestStackTraceFilter ENTRY_POINT

  - ### TRUNCATE

    public static final TestStackTraceFilter TRUNCATE

  - ### GROOVY

    public static final TestStackTraceFilter GROOVY

- ## Method Details

  - ### values

    public static TestStackTraceFilter[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TestStackTraceFilter valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null